Bug 984263 - Connect to repository fail on malformed URL.
Connect to repository fail on malformed URL.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity medium
: DR2
: 6.1.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 05:06 EDT by Marek Baluch
Modified: 2014-09-09 08:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-14 05:06:06 EDT
Description of problem:

Currently when a connection to a service repository fails because of a MalformedURLException the Alert informing the user says only 'Failed to connect to the Service Repository.'. The whole exception stack-trace is dumped to the server log.

Please consider moving the fail cause from the server log to the Alert.
Comment 1 Marek Baluch 2013-07-14 05:07:58 EDT
Steps to reporoduce:
1) open a process
2) click the 'Connect to a service repository' icon.
3) put an invalid path in (e.g. /url/without/protocol)
4) click 'Connect'


Build
DR6 (Beta5)
Comment 3 Sona Mala 2014-06-23 05:50:07 EDT
This issue is still valid.
Comment 4 Tihomir Surdilovic 2014-07-14 15:46:10 EDT
fixed in designer master and 6.1.x branches. the exception error (getMessage()) info is added to the notification
Comment 5 Marek Baluch 2014-09-09 08:38:24 EDT
Very nice - thanks Tiho! 

Verified on 6.1.0.DR2.

Note You need to log in before you can comment on or make changes to this bug.